Report an External Trade

Reports an executed external trade for a pre-existing execution order.

Requirements:

  • An execution order of protocol external must exist.
  • The execution order must be in the pending_execution state.

Event notifications:

  • On Reciept: a system_update event with an event_type of external_trade_report_request.
  • On failure: a system_update event with an event_type of external_trade_report_rejected.
  • On success: an order_update event with an event_type of execution which includes the trade details & the execution order ID linked to the trade.

All events include the external_trade_report_id.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique, Moment-generated ID for the order.

string
required

The unique ID of the execution order.

Body Params
amount
object
required

The Amount of an order with a specified type indicating how the amount is represented.

  • Par: Represents the order size in face value (e.g., a corporate bond with a $1,000 face value).
  • Notional: Represents the order size in notional dollar value.
  • Shares: Represents the order size in number of shares (for equities).
string | null

Optional annotation for the trade.

boolean
Defaults to false

Flag to bypass street side leg. If true, we will not send the street side to the custodian.

boolean
required

Flag to bypass trade booking. If true, the trade will not be booked in the system.

string
required

The client-provided idempotency key.

string

DTC ID of the counterparty's clearing firm.

string

MPID of the counterparty involved in the street trade.

string

Trade ID. Often times this will be the ID of the execution made at an external venue.

string

Optional external trade report ID. If provided, this ID will be used instead of auto-generating one.
Must start with 'etr_' followed by a valid ULID.
If not provided, the system will generate a unique ID automatically.

double | null

The trade price. For mutual funds, if not provided, the backend will use the parent order's estimated price (NAV).

date-time
required

The settlement date for the trade.

string

Optional quote snapshot ID. If provided, this snapshot ID will be used instead of creating a new one.

date-time
required

The timestamp when the trade occurred.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json